Delete a secret group
curl --request DELETE \
--url https://{controlPlaneURL}/api/svc/v1/secret-groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/secret-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/secret-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Secret Groups
Delete a secret group
Delete the secret group and all its associated secrets and secret versions permanently.
DELETE
/
api
/
svc
/
v1
/
secret-groups
/
{id}
Delete a secret group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the secret group.
Query Parameters
Whether to force delete the secret group even when the associated secret integration is faulty or unavailable.
Response
Secret group deleted successfully.
The response is of type DeleteSecretGroupResponse · object.
Was this page helpful?
⌘I